<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$_CUR = 'work';
require (dirname(__FILE__) . '/include/init.php');
$smarty->assign('cur', $_CUR);

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 实例化
include_once (ROOT_PATH . 'include/work.class.php');
$dou_work = new Work();

// 图片上传
include_once (ROOT_PATH . 'include/file.class.php');
$file = new File('images/work/'); // 实例化类文件(文件上传路径，结尾加斜杠)

// 赋值给模板
$smarty->assign('rec', $rec);

/**
 * +----------------------------------------------------------
 * 工作人员列表
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    $smarty->assign('ur_here', $_LANG['work']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['work_add'],
            'href' => 'work.php?rec=add' 
    ));
    
    // 初始化
    $page_url = 'work.php';
 
    // 筛选.类型
    $work_consignee = $check->is_username($_REQUEST['work_consignee']) ? $_REQUEST['work_consignee'] : '';
    if ($work_consignee) {
        $where = " AND (phone = '$work_consignee' OR contact = '$work_consignee' OR company = '$work_consignee' OR address = '$work_consignee')";
        $page_url = $page_url . "&work_consignee=$work_consignee";
    }
 
    // 用户名
    $username = $check->is_username($_REQUEST['username']) ? $_REQUEST['username'] : '';
    if ($username) {
        $user_id = $dou->search_user_id($username);
        $where = $where . " AND user_id = '$user_id'";
        $page_url = $page_url . "&username=$username";
    }

    // 筛选.时间
    $time_end = isset($_REQUEST['time_end']) ? trim($_REQUEST['time_end']) : '';
    $time_start = isset($_REQUEST['time_start']) ? trim($_REQUEST['time_start']) : '';
    if ($time_start) {
        $where = $where . " AND add_time > '" . strtotime($time_start) . "'";
        $page_url = $page_url . "&time_start=$time_start";
    }
    if ($time_end) {
        $where = $where . " AND add_time < '" . strtotime($time_end) . "'";
        $page_url = $page_url . "&time_end=$time_end";
    }
 
    // 格式化
    $where = $_SESSION['where'] = $dou->where($where);
    $page_url = $dou->param($page_url);
    
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('work') . $where . " ORDER BY work_id DESC";
    
    // 分页
    $page = $check->is_number($_REQUEST['page']) ? $_REQUEST['page'] : 1;
    $limit = $dou->pager($sql, 15, $page, $page_url);
    
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $work_list[] = array (
                "work_id" => $row['work_id'],
                "user" => $dou->user_basic($row['user_id']),
                "action_list" => $row['action_list'],
                "company" => $row['company'],
                "contact" => $row['contact'],
                "phone" => $row['phone'],
                "status" => $dou->data_lang_format('work_status_', $row['status']),
                "add_time" => date("Y-m-d", $row['add_time'])
        );
    }
    
    // 赋值给模板
    $smarty->assign('req', $_REQUEST);
    $smarty->assign('work_list', $work_list);
    
    $smarty->display('work.htm');
} 

/**
 * +----------------------------------------------------------
 * 工作人员添加
 * +----------------------------------------------------------
 */
elseif ($rec == 'add') {
    $smarty->assign('ur_here', $_LANG['work_add']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['work'],
            'href' => 'work.php' 
    ));
    
    // CSRF防御令牌生成
    $smarty->assign('token', $token = $firewall->get_token());
    
    // 赋值给模板
    $smarty->assign('form_action', 'insert');
    $smarty->assign('work', $work);
    $smarty->assign('action_list', $dou_work->action_list());
    
    $smarty->display('work.htm');
} 

elseif ($rec == 'insert') {
    // CSRF防御令牌验证
    $firewall->check_token($_POST['token']);
 
    // 验证姓名
    if (empty($_POST['contact']))
        $dou->dou_msg($_LANG['work_contact'] . $_LANG['is_empty']);
    
    // 验证对应的会员
    if (!$_POST['user_id']) {
        $dou->dou_msg($_LANG['work_user_id'] . $_LANG['is_empty']);
    } elseif (!$dou->value_exist('user', 'user_id', $_POST['user_id'])) {
        $dou->dou_msg($_LANG['work_user_no_exists']);
    } elseif ($dou->value_exist('work', 'user_id', $_POST['user_id'])) {
        $dou->dou_msg($_LANG['work_user_exists']);
    }
    
    // 文件上传盒子
    $avatar = $file->box('work', $dou->auto_id('work'), 'avatar', 'main');

    // 数据格式化
    $add_time = time();
    $action_list = implode(',', $_POST['action_list']);
        
    $sql = "INSERT INTO " . $dou->table('work') . " (work_id, user_id, action_list, contact, phone, sex, company, address, avatar, `status`, add_time)" . " VALUES (NULL, '$_POST[user_id]', '$action_list', '$_POST[contact]', '$_POST[phone]', '$_POST[sex]', '$_POST[company]', '$_POST[address]', '$avatar', '$_POST[status]', '$add_time')";
    $dou->query($sql);
    
    $dou->create_admin_log($_LANG['work_add'] . ': ' . $_POST['contact']);
    $dou->dou_msg($_LANG['work_add_succes'], 'work.php');
} 

/**
 * +----------------------------------------------------------
 * 工作人员编辑
 * +----------------------------------------------------------
 */
elseif ($rec == 'edit') {
    $smarty->assign('ur_here', $_LANG['work_edit']);
    $smarty->assign('action_link', array (
            'text' => $_LANG['work'],
            'href' => 'work.php' 
    ));
    
    // 验证并获取合法的ID
    $work_id = $check->is_number($_REQUEST['work_id']) ? $_REQUEST['work_id'] : '';
    
    $work = $dou->get_row('work', '*', "work_id = '$work_id'");
    
    // 格式化数据
    $work['avatar'] = $dou->dou_file($work['avatar']);
    
    // CSRF防御令牌生成
    $smarty->assign('token', $token = $firewall->get_token());
    
    // 赋值给模板
    $smarty->assign('form_action', 'update');
    $smarty->assign('work', $work);
    $smarty->assign('action_list', $dou_work->action_list($work['action_list']));
    
    $smarty->display('work.htm');
} 

elseif ($rec == 'update') {
    // 验证并获取合法的ID
    $work_id = $check->is_number($_POST['work_id']) ? $_POST['work_id'] : '';
    
    // CSRF防御令牌验证
    $firewall->check_token($_POST['token']);
    
    $work = $dou->get_row('work', '*', "work_id = '$work_id'");
    
    // 验证姓名
    if (empty($_POST['contact']))
        $dou->dou_msg($_LANG['work_contact'] . $_LANG['is_empty']);
 
    // 验证对应的会员
    if (!$_POST['user_id']) {
        $dou->dou_msg($_LANG['work_user_id'] . $_LANG['is_empty']);
    } elseif (!$dou->value_exist('user', 'user_id', $_POST['user_id'])) {
        $dou->dou_msg($_LANG['work_user_no_exists']);
    } elseif ($dou->value_exist('work', 'user_id', $_POST['user_id']) && $_POST['user_id'] != $work['user_id']) {
        $dou->dou_msg($_LANG['work_user_exists']);
    }
    
    // 格式化
    $action_list = implode(',', $_POST['action_list']);
        
    // 文件上传盒子
    $avatar = $file->box('work', $work_id, 'avatar', 'main');
    $avatar = $avatar ? ", avatar = '" . $avatar . "'" : '';
    
    $sql = "UPDATE " . $dou->table('work') . " SET user_id = '$_POST[user_id]', action_list = '$action_list', contact = '$_POST[contact]', phone = '$_POST[phone]', sex = '$_POST[sex]', company = '$_POST[company]', address = '$_POST[address]'" . $avatar . ", `status` = '$_POST[status]' WHERE work_id = '$work_id'";
    $dou->query($sql);
    
    $dou->create_admin_log($_LANG['work_edit'] . ': ' . $_POST['contact']);
    $dou->dou_msg($_LANG['work_edit_succes'], 'work.php');
}

/**
 * +----------------------------------------------------------
 * 工作人员删除
 * +----------------------------------------------------------
 */
elseif ($rec == 'del') {
    // 验证并获取合法的ID
    $work_id = $check->is_number($_REQUEST['work_id']) ? $_REQUEST['work_id'] : $dou->dou_msg($_LANG['illegal'], 'work.php');
    $contact = $dou->get_one("SELECT contact FROM " . $dou->table('work') . " WHERE work_id = '$work_id'");
    
    if (isset($_POST['confirm'])) {
        // 删除相应商品图片
        $avatar = $dou->get_one("SELECT avatar FROM " . $dou->table('work') . " WHERE work_id = '$work_id'");
        $dou->del_file(avatar);
     
        $dou->create_admin_log($_LANG['work_del'] . ': ' . $contact);
        $dou->delete('work', "work_id = $work_id", 'work.php');
    } else {
        $_LANG['del_check'] = preg_replace('/d%/Ums', $contact, $_LANG['del_check']);
        $dou->dou_msg($_LANG['del_check'], 'work.php', '', '30', "work.php?rec=del&id=$work_id");
    }
}

?>