// pages/work/work.js
// 获取全局的应用实例
const app = getApp();

// 引入utils全局函数
var dou = require('../../utils/util.js');

Page({
  onLoad: function(options) {
    var that = this
    
    wx.request({
      url: app.mp_url + 'databox.php?rec=common',
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        that.setData({
          lang: res.data.lang,
          site: res.data.site,
          open: res.data.open
        })
      },
    })
  },
  
  onShow: function () {
    var that = this;
    
    wx.request({
      url: app.mp_url + 'work.php',
      data: {
        'user_id': wx.getStorageSync('user_id'),
        'shell': wx.getStorageSync('shell')
      },
      header: {
        'Connect-Key' : wx.getStorageSync('connect_key')
      },
      success: function(res) {
        wx.setNavigationBarTitle({
          title: res.data.title
        })
       
        if (res.data.wrong) {
          dou.douMsg(res.data.wrong, '/pages/index/index')
        }
        
        that.setData({
          work: res.data.work,
          link_work_center: res.data.link_work_center
        })
      },
    })
  },
 
  // 非tabBar的页面，可以带参数
  douNavigateTo: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.navigateTo({
      url: url
    })
  },

  // 只能跳转到tabBar配置页面
  catSwitchTab: function(e) {
    var url = e.currentTarget.dataset.url;
    wx.switchTab({
      url: url
    })
  }


})